[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# TShortIntHelper.ToDouble

Convert to a double-sized floating point value

## Declaration

Source position: syshelph.inc line 421

`public function TShortIntHelper.ToDouble: Double;`

## Description

ToDouble converts the ShortInt value to a double-sized floating point value.

## See also

TShortIntHelper.ToBoolean |  | Convert to a boolean value
TShortIntHelper.ToExtended |  | Convert to an extended-sized floating point value
TShortIntHelper.ToSingle |  | Convert to an single-sized floating point value
TShortIntHelper.ToString |  | Convert the value to string
TShortIntHelper.ToHexString |  | Convert to a hexadecimal string representation